## gate.security
Class SecurityInfo

    java.lang.Object
      |
      +--gate.security.SecurityInfo

public class SecurityInfo
extends Object

Field Summary
`static int` `ACCESS_GR_GW` group read/ group write
`static int` `ACCESS_GR_OW` group read/ owner write
`static int` `ACCESS_OR_OW` owner read/ owner write
`static int` `ACCESS_WR_GW` world read/ group write
`protected int` `accessMode`
`protected Group` `grp`
`protected User` `usr`

Constructor Summary
`SecurityInfo(int accessMode, User usr, Group grp)`

Method Summary
`int` `getAccessMode()`
`Group` `getGroup()`
`User` `getUser()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### ACCESS_WR_GW

    public static final int ACCESS_WR_GW

  world read/ group write

### ACCESS_GR_GW

    public static final int ACCESS_GR_GW

  group read/ group write

### ACCESS_GR_OW

    public static final int ACCESS_GR_OW

  group read/ owner write

### ACCESS_OR_OW

    public static final int ACCESS_OR_OW

  owner read/ owner write

### grp

    protected Group grp

### usr

    protected User usr

### accessMode

    protected int accessMode

Constructor Detail

### SecurityInfo

    public SecurityInfo(int accessMode,
                        User usr,
                        Group grp)

Method Detail

### getGroup

    public Group getGroup()

### getUser

    public User getUser()

### getAccessMode

    public int getAccessMode()